## temp interpolation-0.1.0

=== requirements.txt ===
folium
geopandas
ipyleaflet
numpy

## temp 0.1

=== debian/changelog ===
temp (0.1) jaunty; urgency=low

  * Convert into being an example.

 -- billchan@nuthon.com <billchan> Fri, 09 Jul 2010 17:23:18 +0800

=== debian/control ===
Source: temp
Section: user/desktop
Priority: optional
Maintainer: billchan@nuthon.com
Build-Depends: debhelper (>= 4.0.0), hildon-theme-layout-5 (>= 0.15.0), hildon-theme-layout-5 (< 0.16.0), hildon-theme-tools, imagemagick
Standards-Version: 3.6.0

Package: temp
Architecture: all
Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0)
Description: temp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME := temp

HAVE_TEMPLATES = `test -f applications/startup-wizard/template.png \
                 -a -f template/template.png`

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-doc-dir=\$${prefix}/share/doc

build: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	if $(HAVE_TEMPLATES); then $(MAKE); fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f install-stamp
	rm -f debian/files
	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean
	rm -rf debian/$(PKGNAME)
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/build
	if $(HAVE_TEMPLATES); then \
	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKGNAME); \
	fi

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	maemo-optify $(PKGNAME)
	dh_md5sums
	dh_builddeb
	

# Build architecture-dependent files here.
binary-arch: build install
	# Make sure that dpkg-genchanges will not fail,
	# but there is nothing else to do.
	touch debian/files

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
